For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Talk to usGet started
OverviewAPI Reference
OverviewAPI Reference
  • API Reference
        • POSTCreate Session
        • POSTCreate Appointment
        • GETGet Clients
        • GETGet Client Appointments
        • GETGet Client
        • GETGet Clinics
        • GETGet Providers
        • GETGet Products
        • GETGet Product Price List
        • GETGet Product
        • GETGet Availability
        • GETGet Appointments
        • GETGet Account Data
        • GETGet Appointment Types
Logo
Talk to usGet started
API ReferenceIntegrationsAesthetic Records

Get Client Appointments

GET
https://api.trykeet.com/v1/aesthetic-records/clients/:clientId/appointments
GET
/v1/aesthetic-records/clients/:clientId/appointments
$curl https://api.trykeet.com/v1/aesthetic-records/clients/1/appointments \
> -H "X-Account-Token: X-Account-Token" \
> -H "Authorization: Bearer <token>"
1{
2 "appointments": {
3 "key": "value"
4 },
5 "status": "ok"
6}
Get a list of appointments for a specific client.
Was this page helpful?
Previous

Get Client

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

clientIdintegerRequired

Headers

X-Account-TokenstringRequired
The account token that is associated with the end user linked to this account

Query parameters

pageintegerOptional
pageSizeintegerOptional

Response

This endpoint returns an object.
appointmentsany
statusenum
Allowed values:

Errors

400
Bad Request Error
401
Un Authorized Error
404
Not Found Error
500
Internal Server Error
500
Not Implemented Error